#!/usr/bin/env octave
# This generates a sequence of SVG files that are then used to produce
# an animated SVG graph.

OFFSETS = [0:0.1:2*pi-0.1];
X = [-pi:0.1:pi];

for idx = 1:size(OFFSETS, 2)
	disp(sprintf("Generating image %d of %d...", idx, size(OFFSETS, 2)))
	offset = OFFSETS(idx);
	fname = sprintf("example-%04d.svg", idx);
	Y = [sin(offset + X); cos(offset + X)];
	plot(X, Y);
	title(sprintf("offset = %.1f", offset));
	legend('sin(offset + x)', 'cos(offset+x)')
	axis([-pi, pi, -1, 1])
	print(fname)
endfor
